Bug 2277228 - chromium wrapper causes library issues (symbol lookup error)
Summary: chromium wrapper causes library issues (symbol lookup error)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: chromium
Version: 40
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2024-04-25 20:59 UTC by Franky Van Liedekerke
Modified: 2024-06-01 00:38 UTC (History)
4 users (show)

Fixed In Version: chromium-124.0.6367.91-1.fc39 chromium-124.0.6367.118-1.fc40 chromium-125.0.6422.60-1.fc38 chromium-125.0.6422.76-1.el9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-05-02 01:37:31 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Franky Van Liedekerke 2024-04-25 20:59:52 UTC
When opening chromium via the wrapper (/usr/lib64/chromium-browser/chromium-browser.sh) and click on a magnet link, it should open transport-gtk and start. This worked in F39 perfectly, but not after the update to F40.
It seems the wrapper includes wrong lib paths, causing this.
The error shown when going to a site via commandline using the wrapper:

/usr/bin/transmission-gtk: symbol lookup error: /lib64/libgtk-4.so.1: undefined symbol: vkCreateXlibSurfaceKHR

When directly executing /usr/lib64/chromium-browser/chromium-browser (not the wrapper), this works fine. So it seems something is wrong with the library path being set by the wrapper (firefox works fine btw).


Reproducible: Always

Steps to Reproduce:
See description: open a site with a magnet link through the chromium wrapper.
Actual Results:  
/usr/bin/transmission-gtk: symbol lookup error: /lib64/libgtk-4.so.1: undefined symbol: vkCreateXlibSurfaceKHR

Expected Results:  
transmission-gtk should work as expected.

Running F40 & XFCE, latest updates installed.

Comment 1 Than Ngo 2024-04-30 06:58:50 UTC
it should be fixed in chromium-124.0.6367.91

Comment 2 Fedora Update System 2024-04-30 08:38:30 UTC
FEDORA-2024-908cc2e61e (chromium-124.0.6367.91-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-908cc2e61e

Comment 3 Fedora Update System 2024-04-30 08:38:31 UTC
FEDORA-EPEL-2024-68b6d0dafe (chromium-124.0.6367.91-1.el9) has been submitted as an update to Fedora EPEL 9.
https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-68b6d0dafe

Comment 4 Fedora Update System 2024-04-30 08:38:32 UTC
FEDORA-2024-0539d2c8b0 (chromium-124.0.6367.91-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-0539d2c8b0

Comment 5 Fedora Update System 2024-04-30 08:38:33 UTC
FEDORA-2024-8637bf2005 (chromium-124.0.6367.91-1.fc38) has been submitted as an update to Fedora 38.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-8637bf2005

Comment 6 Fedora Update System 2024-04-30 22:09:30 UTC
FEDORA-2024-0539d2c8b0 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-0539d2c8b0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-0539d2c8b0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2024-05-01 00:49:58 UTC
FEDORA-EPEL-2024-68b6d0dafe has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-68b6d0dafe

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-05-01 01:12:52 UTC
FEDORA-2024-908cc2e61e has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-908cc2e61e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-908cc2e61e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-05-01 01:50:04 UTC
FEDORA-2024-8637bf2005 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-8637bf2005`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-8637bf2005

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2024-05-02 01:37:31 UTC
FEDORA-2024-908cc2e61e (chromium-124.0.6367.91-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2024-05-03 01:44:27 UTC
FEDORA-2024-5cf9499b62 (chromium-124.0.6367.118-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2024-05-03 02:14:38 UTC
FEDORA-EPEL-2024-808f3961ef has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-808f3961ef

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2024-05-03 03:56:38 UTC
FEDORA-2024-191c252b75 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-191c252b75`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-191c252b75

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 14 Fedora Update System 2024-05-10 01:55:59 UTC
FEDORA-2024-f93392509c has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-f93392509c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-f93392509c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2024-05-10 02:03:00 UTC
FEDORA-EPEL-2024-f74fbce604 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-f74fbce604

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2024-05-12 00:22:42 UTC
FEDORA-EPEL-2024-6f1c3198f5 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-6f1c3198f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2024-05-12 01:02:30 UTC
FEDORA-2024-df7e365b4a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-df7e365b4a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-df7e365b4a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2024-05-17 02:24:12 UTC
FEDORA-2024-3a548f46a8 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-3a548f46a8`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-3a548f46a8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 19 Fedora Update System 2024-05-18 01:43:30 UTC
FEDORA-2024-3a548f46a8 (chromium-125.0.6422.60-1.fc38) has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 20 Fedora Update System 2024-05-18 01:52:28 UTC
FEDORA-EPEL-2024-38d250bafc has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-38d250bafc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 21 Fedora Update System 2024-05-24 00:22:43 UTC
FEDORA-EPEL-2024-3184c14a07 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2024-3184c14a07

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2024-06-01 00:38:34 UTC
FEDORA-EPEL-2024-3184c14a07 (chromium-125.0.6422.76-1.el9) has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.